> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Reserve Accounts



## OpenAPI

````yaml api-reference/openapi-account.json GET /reserve
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /reserve:
    get:
      tags:
        - Reserve Account
      summary: List Reserve Accounts
      parameters:
        - description: >-
            ID of the target Account that has an added reserve limit.
            Filterable.
          in: query
          name: account_id
          schema:
            type: string
        - description: ID of the Account that holds the reserve. Filterable.
          in: query
          name: reserve_account_id
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - account_id: acct_1234567890
                        amount: '0.00'
                        id: reserve_1029384756
                        reserve_account_id: acct_0987654321
                        upper_limit: '100.00'
                        userdata: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        account_id:
                          description: >-
                            ID of the target Account that has an added reserve
                            limit. Filterable.
                          type: string
                        amount:
                          description: Amount that `account_id` is currently overdrawn
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        bankdata:
                          description: Optional data for the bank
                          type: object
                        id:
                          description: Unique identifier for object
                          type: string
                        reserve_account_id:
                          description: >-
                            ID of the Account that holds the reserve.
                            Filterable.
                          type: string
                        upper_limit:
                          description: >-
                            Max amount that `account_id` may be overdrawn in
                            total
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        userdata:
                          description: >-
                            Arbitrary user data that can be attached to the
                            object
                          type: object
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` reserve elements, starting after the reserve described
            by `page_cursor`. If no more reserves are available, the resulting
            list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````